import MournbladeItemSheet from "./base-item-sheet.mjs"

export default class MournbladeArmeSheet extends MournbladeItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["arme"],
    position: {
      width: 620,
    },
    window: {
      contentClasses: ["arme-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-mournblade/templates/item-arme-sheet.hbs",
    },
  }

  /** @override */
  tabGroups = {
    primary: "description",
  }

  /**
   * Prepare an array of form header tabs.
   * @returns {Record<string, Partial<ApplicationTab>>}
   */
  #getTabs() {
    const tabs = {
      details: { id: "details", group: "primary", label: "Détails" },
      description: { id: "description", group: "primary", label: "Description" }
    }
    for (const v of Object.values(tabs)) {
      v.active = this.tabGroups[v.group] === v.id
      v.cssClass = v.active ? "active" : ""
    }
    return tabs
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.tabs = this.#getTabs()
    return context
  }
}